Jump to content

[KSP1.10.1] RealPlume - Stock v4.0.2 & RealPlume v13.3.2 [15/Oct/20]


Recommended Posts

1 hour ago, VoidSquid said:
1 hour ago, Zorg said:

Perhaps its module manager?

Check together with @sarbian then I'd suggest?

When you remove MM you disable most of your mods since they use MM to change part configs. So telling "it works without MM" is basically the same as "it works without any mods"

Link to post
Share on other sites
10 minutes ago, IronKerbal said:

@Zorg Do you think you could add a Hyrdolox-TurboExhuast effect based off the RS-68? there is quite a shortage in Hydrolox effects compared to the hypergolic and Kerolox effects.

Uh yeah thats a fair point. The FX needed are already there in realplume actually. the recently added CryogenicLowerAblative plume is ported over from the config I did for cryoengines RS68 using CE stock effects. A vernier was also used there. I can port that vernier effect into an independent realplume.

Link to post
Share on other sites
1 minute ago, Zorg said:

Uh yeah thats a fair point. The FX needed are already there in realplume actually. the recently added CryogenicLowerAblative plume is ported over from the config I did for cryoengines RS68 using CE stock effects. A vernier was also used there. I can port that vernier effect into an independent realplume.

Yes, that sound good!

Link to post
Share on other sites

UPDATE RealPlume-Stock v2.0.0 and RealPlume v13.0.0

DOWNLOAD

RealPlume-Stock v2.0.0

new additions

  • Update for KSP 1.8.x
  • Support for Fuji
  • Support for Tantares
  • Support for KSP 1.8 SRBs
  • Support for SSR Microsat and launcher vehicle

Updates

  • Update .version file
  • Update bundled RealPlume to v13.0.0
  • Update bundled Module Manager to v4.1.0
  • Update bundled smokescreen to v2.8.7
  • revamp NFLV plumes
  • Redo all existing Tantares LV configs with new plumes, add missing engines

Fixes

  • Fix Knes viking SM
  • Fix ReDirect AJ10

RealPlume v13.0.0

New Additions

  • Update for KSP 1.8.x
  • Kerolox NK33 plume (aimed at clusters like Tantares N1 1st stage)
  • Hypergolic Vernier Red plume
  • Upload new effects by me (Zorg, BY-NC-SA 4.0)
  • New methalox lower shock plume (multi segmented plume with realistic shock diamonds)
  • Add hypergolic lower orange shock plume (multi segmented plume with realistic shock diamonds)
  • Hypergolic upper orange plume
  • Hypergolic vernier orange plume
  • Cryogenic orange vernier plume

Breaking change

  • Replace methalox upper entirely with new FX. Any configs using Methalox_Upper need to be rewritten. (already done on realplume stock side)

Fixes

  • Add decluster and emit on update to legacy hydrolox plumes
  • Update expansion behaviour of hypergolic upper red and hypergolic upper yellow
  • fix audio file patch in Cryogenic_upperBlue_CE
  • boost volume for nuclear solid core plumes
  • fix engage audio scaling for several prefabs
  • Update cryogenic lower ablative plume 
Link to post
Share on other sites
1 hour ago, Zorg said:

Support for SSR Microsat and launcher vehicle

Wow... Thanks a lot, @Zorg!

CKAN says RP 13.0.0 as well as RP Stock 2.0.0 are still downward compatible with KSP 1.7.3? Is that really true? That would so totally make my day :) 

Link to post
Share on other sites
2 minutes ago, VoidSquid said:

Wow... Thanks a lot, @Zorg!

CKAN says RP 13.0.0 as well as RP Stock 2.0.0 are still downward compatible with KSP 1.7.3? Is that really true? That would so totally make my day :) 

Yes. I'm not 100% sure if smokescreen 2.8.7 and MM 4.1.0 are. Should probably check that.

But RealPlume and RealPlume-stock themselves will work on KSP 1.7.x with the older versions of the plugins for sure.

Link to post
Share on other sites

Incredible... so happy that not everyone jumps the 1.8 bandwagon now and is abandoning 1.7.3 - wow!

As mentioned earlier, I'll stay with KSP 1.7.3 for a good while, if not forever, so for me it's Smoke Screen 2.8.6.0 and MM 4.0.3 still, those proved to work perfect for me.

A big, big Thank You, again!

If I could, I'd bake a nice cake for you (can do that actually, if you'd like me to, lol), and send it over to you (which would be the difficult part, unfortunately).

Thanks man, and take care :) 

 

Edited by VoidSquid
Link to post
Share on other sites
17 minutes ago, VoidSquid said:

 

If I could, I'd bake a nice cake for you (can do that though, lol), and send it over to you (which would be the difficult part, unfortunately).

Thanks man, and take care :) 

 

Lol its the thought that counts and thank you for the support, its definitely appreciated.

17 minutes ago, VoidSquid said:

Incredible... so happy that not everyone jumps the 1.8 bandwagon now and is abandoning 1.7.3 - wow!

To be fair I dont actually need to take special steps to support a new or old version of KSP. Its just a matter of making sure the dependencies Smokescreen and Module Manager, (both made by Sarbain of course) work.

RealPlume basically consists of just MM patches that remove stock effects and add new ones. So long as KSP's handling of the EFFECTS node or the particle system doesnt change, RealPlume will work for new versions of KSP.

For backwards compatibility, old plumes will work quite far back. New plumes which I added, some of which use smokescreen features added in smokescreen 2.8.2 and 2.8.5, might not look entirely right with older versions of the plugin. So the only limiting factor is how far back at least 2.8.5 of smokescreen works.

Edited by Zorg
Link to post
Share on other sites

Do not know if this is the right place to ask. But im attempting to use the Real Fuel configs along with it, so the RealPlume-RFStockalike.  Currently it does not seem to be working with my install of 1.8.  Real fuels itself works, and the stock config for Real plume works, but not the stockalike which allows for hydrolox, kerolox and so on to look different. https://i.imgur.com/Sr1UMmY.png  here is my install of mods.  All are fresh when regarding Real Fuels and Real Plume. 

Thanks in advance. 

Link to post
Share on other sites

@Zorg, Thanks for the Update! Your mod really does make KSP what it its now.
I have noticed that some old Plumes are out of date compared to some New ones.
Old ex: Hydrolox-Lower, Hydrolox-upper, Kerolox-Lower
New ex: Hypergolic_OrangeUpper, Kerolox_LowerBlaze, Kerolox_LowerBis

Also the Wiki for Realplume is quite outdated.

It would be awesome if you could do the above! :)

Link to post
Share on other sites
30 minutes ago, IronKerbal said:

@Zorg, Thanks for the Update! Your mod really does make KSP what it its now.
I have noticed that some old Plumes are out of date compared to some New ones.
Old ex: Hydrolox-Lower, Hydrolox-upper, Kerolox-Lower
New ex: Hypergolic_OrangeUpper, Kerolox_LowerBlaze, Kerolox_LowerBis

Also the Wiki for Realplume is quite outdated.

It would be awesome if you could do the above! :)

I don’t really have the time to go through the hundreds of configs and update everything to use the new plumes. I would hope people who use those mods would make pull requests to update them if they so want. 
 

updating the wiki is on my list of things to do but I’ve prioritised the actual development for now. Plus I’ve been busy with some other stuff. When I have the time I will try to complete it. In the meantime I am always happy to point to sample configs for the newly added plumes to anyone who wants to use them. Most of them have been used in at least one config now. 

Link to post
Share on other sites
16 hours ago, FallenPhoenixRA said:

Do not know if this is the right place to ask. But im attempting to use the Real Fuel configs along with it, so the RealPlume-RFStockalike.  Currently it does not seem to be working with my install of 1.8.  Real fuels itself works, and the stock config for Real plume works, but not the stockalike which allows for hydrolox, kerolox and so on to look different. https://i.imgur.com/Sr1UMmY.png  here is my install of mods.  All are fresh when regarding Real Fuels and Real Plume. 

Thanks in advance. 

Oh I missed your post earlier. No I'm not handling Realplume-RFStockalike. I believe RealFuels uses its own engine module. RealPlume-stock patches the stock engine module. Which is why RealPlume-RF-stockalike exists. 

If you need help with that you need to check here. RealPlume-RFStockalike is part of that. 

 

Edited by Zorg
Link to post
Share on other sites
2 hours ago, Zorg said:

Oh I missed your post earlier. No I'm not handling Realplume-RFStockalike. I believe RealFuels uses its own engine module. RealPlume-stock patches the stock engine module. Which is why RealPlume-RF-stockalike exists. 

If you need help with that you need to check here. RealPlume-RFStockalike is part of that. 

 

So originally I was using Ckan for all of it.  I uninstalled all of the mods via Ckan, went and downloaded them from their github links and downloaded from there.  The issue was that the Realplume RFStockalike had to actually go inside the Realplume mod file, which Ckan was not doing.  Everything works fine now. 

Thanks for your response though! 

 

Link to post
Share on other sites
9 hours ago, IronKerbal said:

Im getting some errors related to Kerolox_LowerNK33.cfg, Do you think you could take a look at it?

What exactly is the problem?

Is it with the existing config for Tantares N1 first stage? Are you applying it to something new? Module manager error? MM log?

Link to post
Share on other sites
7 hours ago, IronKerbal said:

Bleh it was using some BDB specific stuff copied from custom plumes I made for BDB. The errors dont show up if used together with BDB which is why I didnt see it.

I've pushed a fix to the development branch if you want to grab it now. Will probably publish a bugfix release on Sunday.

https://github.com/KSP-RO/RealPlume/tree/development

 

6 hours ago, Emilius73 said:

SO happy to see this amazing mod back! One question though, does it have Restock and reDIRECT support?

 Yes and yes. Both are supported with newly added plume types.

Link to post
Share on other sites
6 hours ago, IronKerbal said:

Is version Realplume 13.0.0 compatible with KSP 1.6.1?

The question really is if Smokescreen 2.8.5 or newer is compatible. Smokescreen 2.8.6 is the last version of Smokescreen compatible with pre KSP 1.8 versions.

Not that I tested extensively, just a quick look to see if plumes appear. But from what I can tell RealPlume 13.0.0 is fine on KSP 1.4.5 and KSP 1.6.1 if you use Smokescreen 2.8.6 (and of course a version of Module Manager compatible with that KSP version).

 

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...